Description

Hi,

it would be nice if there could be a option in settings to automatically attach style applied to current layer when saving it. I know there is

manual approach - saving style as *.qml file with same name as particular layer but would be more comfortable if this could be done

automatically. Or maybe some feature to generate qml files for layer opened in current project...

thanks

History

#1 - 2016-08-09 08:16 AM - Harrissou Santanna

Layer Properties --> Style (drop-down list) --> Save as default, Doesn't it work? see

docs.qgis.org/2.14/en/docs/user_manual/working_with_vector/vector_properties.html#storing-style-in-a-file-or-a-database

#2 - 2016-08-09 11:23 PM - Jan Helebrant

Harrissou Santanna wrote:

Layer Properties --> Style (drop-down list) --> Save as default, Doesn't it work?

It works but it does not solve my task. I often need to share data with other users. For a whole project it is not problem to prepare styles and save to

project. However, for a particular files - shapefiles, rasters etc. I currently have to export style in *.qml for every single layer manually and make sure the

style uses the same name as layer. The same when I save particular layer with different name.

My idea was to have option - checkbox or something similar in settings like "automatically save current layer style with layer" so when you save

"CR_UTM33N" you would get:

CR_UTM33N.shp

CR_UTM33N.dbf

CR_UTM33N.hshp

CR_UTM33N.shx

+ also

CR_UTM33N.qml

So when other user gets the data from me the style would be automatically loaded with the layer. This could make the task much easier - at least for me. :-)

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
